Rapatrier ses mails Gmail sous The Bat!

 

Depuis le 6 ao√Ľt 2015, impossible de rapatrier mes mails en POP3 √† partir de mon compte Gmail sous le client mail The Bat!. The quoi ? The Bat!. Un logiciel russe √©dit√© par Ritlabs, √† l'interface pas super¬†sexy (√† part la chauve-souris du splashscreen qui est plut√īt mimi), et payant en plus…¬†Mais je m'y suis habitu√©e, et puis j'avoue, je fais un rejet de¬†Thunderbird. Notamment parce, jusqu'√† il n'y a pas si longtemps, il ne permettait pas nativement la r√©duction dans la¬†barre des t√Ęches ni l'installation ailleurs que sur le disque C. C'est nul. Et surtout que l'import et la conversion de 22 Go de mails (est-ce que le classement par dossier sera conserv√© ?), et l'obligation de recr√©er¬†une cinquantaine de filtres de tri, me font¬†un peu peur.

Sauf que ma version du logiciel à la chauve-souris se fait vraiment vieille (j'utilisais la version 3.95.6). Et quand à son tour ça a commencé à coincer sous Yahoo! mail (depuis début octobre 2015, il fallait parfois jusqu'à 30 tentatives pour rapatrier les messages). J'ai googlé pendant des heures. J'ai tout tenté auprès du service technique de Yahoo! Sans résultat.

Le message ? FETCH : Echec de la négociation TLS. Type de certificat non supporté

La mort dans l'√Ęme, j'ai d√Ľ me r√©soudre √† t√©l√©charger la nouvelle version (d'√©valuation) de The Bat!¬†Tout en ronchonnant contre le fait que¬†ce soit √† nous de payer¬†–¬†ne serait-ce qu'en temps perdu √† chercher des solutions ou √† mettre √† jour des logiciels¬†–¬†parce qu'un matin, Google¬†et Yahoo! d√©cident de tout changer dans leurs bo√ģtes mail.

J'installe la nouvelle version. Et l√†, franchement, je trouve que, pour un logiciel payant, ce n'est pas tr√®s pro… L'installateur ne prend m√™me pas la peine de d√©sinstaller l'ancienne version et met une demi-heure √† convertir les mails au nouveau format (histoire d'√™tre bien s√Ľr qu'on ne pourra pas revenir en arri√®re), sans la moindre barre de progression (j'ai cru que mon disque dur allait y laisser la peau tellement il bourdonnait). Bref, on se fiche un peu du monde.

Enfin, pleine d'espoir, je clique sur le bouton recevoir, et l√†… encore un √©chec !

Le message d'erreur a chang√©, certes : d'√©sormais, c'est ¬ę¬†web login required¬†¬Ľ¬†+¬†une¬†URL qui renvoie…¬†sur une page 404. D√©licate attention¬†totalement¬†inutile, donc. Merci Google et sa manie de toujours d√©m√©nager ses pages d'aide !

En m√™me temps, un mail d'alerte intitul√© ¬†¬Ľ Tentative de connexion bloqu√©e¬†¬Ľ arrive sur la bo√ģte Gmail principale et sur les bo√ģtes secondaires. Son¬†contenu n'est gu√®re plus utile : un lien¬†redirige vers la liste des appareils utilis√©s r√©cemment, mais sans laisser la possibilit√© d'autoriser une nouvelle application.

 

La solution tient en 2 étapes, à exécuter toutes les deux. J'espère juste que dans 6 mois les URL seront encore valides, ce qui n'est pas certain compte tenu du fait que Google adore déplacer ses pages !

Aller sur
https://www.google.com/settings/security/lesssecureapps

Et activer l'accès pour les application moins sécurisées.

google-access-applications-non-securisees

Puis aller sur
https://accounts.google.com/DisplayUnlockCaptcha

autoriser-access-compte-google

Aucun captcha, en fait, mais un bouton sur lequel on clique pour obtenir ce message : ¬ę¬†Essayez de vous reconnecter √† votre compte Google sur votre nouvel appareil ou dans la nouvelle application¬†¬Ľ

Et l√†, enfin, cela fonctionne. Bon, je vous quitte, j'ai 3000 mails √† rapatrier par tranche de 280… et un mois pour d√©cider si je continue avec The Bat! ou si je change de cr√®merie.

Karine SANCHE

Partager cet article